com.trendmicro.ds.loginspection.rest.api

## Interface IWidgetsAPI

-     @Path(value="/widgets/logInspection")
      public interface IWidgetsAPI

  A general widgets interface to retrieve same widget data from logInspection module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getLogInspectionHistoryWidget(java.lang.String sessionId, int timescale)` Get Log Inspection events history data based on LogInspectionHistoryWidget
    `CounterLogInspectionRuleListing` | `getTop5LogInspectionRulesWidget(java.lang.String sessionId, int timescale)` Get Top 5 Reasons for Log Inspection Events

- - ### Method Detail

    - #### getTop5LogInspectionRulesWidget

          @GET
           @Path(value="/top5LogInspectionRulesWidget")
           @Produces(value={"application/json","application/xml"})
          CounterLogInspectionRuleListing getTop5LogInspectionRulesWidget(@QueryParam(value="sID")
                                                                                                                                                                                      java.lang.String sessionId,
                                                                                                                                                                                      @QueryParam(value="timescale")
                                                                                                                                                                                      int timescale)
                                                                                                                                                                               throws java.lang.Exception

      Get Top 5 Reasons for Log Inspection Events
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterLogInspectionElement, a collection of the top 5 Reasons for Log Inspection Events.
      Throws:
        `java.lang.Exception`

    - #### getLogInspectionHistoryWidget

          @GET
           @Path(value="/logInspectionHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getLogInspectionHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                                 java.lang.String sessionId,
                                                                                                                                                                 @QueryParam(value="timescale")
                                                                                                                                                                 int timescale)
                                                                                                                                                          throws java.lang.Exception

      Get Log Inspection events history data based on LogInspectionHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.